import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (n, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, p = n.length - 1, i; p >= 0; p--)
    (i = n[p]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--drag", this.class = "c-pieIcon c-pieIcon--drag", this.name = "IconDrag";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--drag"><path d="M15 9.531H1v1.313h14V9.53Z"></path><path d="M15 5.156H1V6.47h14V5.156Z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  g("icon-drag")
], s);
export {
  s as IconDrag
};
